import { Link } from "react-router-dom";
import { FiHome } from "react-icons/fi";

function NotFoundPage() {
  return (
    <div className="pt-20 flex items-center justify-center min-h-screen">
      <div className="container-custom max-w-2xl text-center py-12">
        <h1 className="text-6xl font-bold mb-6 text-campfire-amber">404</h1>
        <h2 className="text-3xl font-bold mb-4">
          Оказавшись в лимбе, вы не нашли подходящую страницу
        </h2>
        <p className="text-campfire-ash mb-8">
          Похоже, вы сбились с пути. Страница, которую вы ищете, не существует
          или была перемещена.
        </p>
        <Link to="/" className="btn-primary inline-flex items-center">
          <FiHome className="mr-2" /> Вернуться
        </Link>
      </div>
    </div>
  );
}

export default NotFoundPage;
